﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ViewUserControl2.ascx.cs"
    Inherits="MvcApplication5.Views.Home.ViewUserControl2" %>
<%@ Import Namespace="System.Linq.Dynamic" %>
<%@ Import Namespace="Telerik.Web.Mvc" %>
<%@ Import Namespace="MvcApplication5.Controllers" %>
<%@ Import Namespace="MvcApplication5.Models" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>


<% Html.BeginForm(); %>

<telerik:RadGrid ID="RadGrid1" AllowPaging="true" AllowSorting="true" runat="server"
    AutoGenerateColumns="false" AllowAutomaticUpdates="true" AllowAutomaticDeletes="true">
    <MasterTableView DataKeyNames="EmployeeID" EditMode="InPlace" CommandItemDisplay="Top">
        <CommandItemTemplate>
            <div style="padding: 10px;">
                <%# Html.ActionLink("Add new record", "InitInsert")%>
            </div>
        </CommandItemTemplate>
        <Columns>
            <telerik:GridTemplateColumn HeaderStyle-Width="50px">
                <ItemTemplate>
                    <%# Container.IsInEditMode ? String.Format(@"<input type=""submit"" style=""border:0;background:transparent none;text-decoration:underline; cursor: pointer;"" value=""{0}"" />", Container.OwnerTableView.IsItemInserted? "Insert" : "Update") : ""%>
                    <span style="margin-left: 6px;">
                    <span style="margin-left: 6px;">
                        <%# Container.IsInEditMode ? Html.ActionLink("Cancel", Container.OwnerTableView.IsItemInserted ? "CancelInsert" : "Cancel") : ""%></span>
                    <%# !Container.IsInEditMode ? Html.ActionLink("Edit", "Edit", new { itemIndex = Container.ItemIndexHierarchical, ID = ((LargeEmployee)Container.DataItem).EmployeeID }) : ""%>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn HeaderStyle-Width="30px">
                <ItemTemplate>
                    <%# Html.ActionLink("Delete", "Delete", new { id = (Container.DataItem is LargeEmployee) ? ((LargeEmployee)Container.DataItem).EmployeeID.ToString() : null })%>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn HeaderStyle-Width="30px">
                <ItemTemplate>
                    <%# Html.ActionLink("Select", "Select", new { itemIndex = Container.ItemIndexHierarchical })%>
                </ItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    <%# Html.ActionLink("EmployeeID", "Sort", new { columnName = "EmployeeID" })%>
                </HeaderTemplate>
                <ItemTemplate>
                    <%# Eval("EmployeeID")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <%# Container.OwnerTableView.IsItemInserted ? Html.TextBox("EmployeeID", Eval("EmployeeID").ToString()) : Eval("EmployeeID")%>
                </EditItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    <%# Html.ActionLink("FirstName", "Sort", new { columnName = "FirstName" })%>
                </HeaderTemplate>
                <ItemTemplate>
                    <%# Eval("FirstName")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <%# Html.TextBox("FirstName", Eval("FirstName").ToString())%>
                </EditItemTemplate>
            </telerik:GridTemplateColumn>
            <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    <%# Html.ActionLink("LastName", "Sort", new { columnName = "LastName" })%>
                </HeaderTemplate>
                <ItemTemplate>
                    <%# Eval("LastName")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <%# Html.TextBox("LastName", Eval("LastName").ToString())%>
                </EditItemTemplate>
            </telerik:GridTemplateColumn>
                        <telerik:GridTemplateColumn>
                <HeaderTemplate>
                    BirthDate header
                </HeaderTemplate>
                <ItemTemplate>
                    <%# Eval("BirthDate")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <telerik:RadComboBox ID="RadComboBox1" runat="server">
                        <Items>
                            <telerik:RadComboBoxItem Text="First value" Value="First value" />
                            <telerik:RadComboBoxItem Text="Second value" Value="Second value" />
                            <telerik:RadComboBoxItem Text="Third value" Value="Third value" />
                            <telerik:RadComboBoxItem Text="Fourth value" Value="Fourth value" />
                            <telerik:RadComboBoxItem Text="Fifth value" Value="Fifth value" />
                        </Items>
                    </telerik:RadComboBox>
                    <br />
                    <%= Html.RenderRadDatePicker(control =>
                                       {
                                           control.Calendar.Width = Unit.Pixel(250);
                                           control.DbSelectedDate = DateTime.Now;
                                       },"Hay")%>
                </EditItemTemplate>
            </telerik:GridTemplateColumn>
        </Columns>
        <PagerTemplate>
            <% for (int i = 0; i < Math.Min(RadGrid1.PagerStyle.PageButtonCount, ((IQueryable)Session["Employees"]).Count()); i++)
               {%>
            <% if (i != (int)Session["CurrentPageIndex"])
               {%>
            <%= Html.ActionLink((i + 1).ToString(), "Page", new { index = i })%>
            <% }
               else
               { %>
            <%= (i + 1).ToString()%>
            <% } %>
            &nbsp;
            <% }%>
        </PagerTemplate>
        <PagerStyle AlwaysVisible="true" />
    </MasterTableView>
    <ClientSettings>
        <ClientEvents OnRowClick="RowClick" />
    </ClientSettings>
</telerik:RadGrid>
<script type="text/javascript">
    function RowClick() {alert("RowClick!");}
</script>
<% Html.EndForm(); %>
<telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>